<?php

declare(strict_types=1);

namespace Builder\Core\Foundation\Account;

use Builder\Core\Foundation\Definition\FieldBuilder;
use Builder\Core\Foundation\Definition\Hook;

abstract class AccountExtension
{
    public function fields(): FieldBuilder
    {
        return FieldBuilder::make();
    }

    /** @return array<string, mixed> */
    public function rules(): array
    {
        return [];
    }

    /** @return list<Hook> */
    public function hooks(): array
    {
        return [];
    }
}
